"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const table_interactive_1 = require("@src/table-interactive");
const utils_1 = require("./support/utils");
test('should get an interactive table', () => __awaiter(void 0, void 0, void 0, function* () {
    // Arrange
    const htmlString = yield (0, utils_1.getHTMLFile)('table_interactive.html');
    // Act
    const dataFrame = (0, table_interactive_1.toInteractiveDataFrame)(htmlString);
    // Assert
    expect(dataFrame).toEqual([
        {
            Person: { id: 'value', value: 'Chris', type: 'select' },
            Likes: { id: 'value', value: 'HTML tables', type: 'textarea' },
            Age: { id: 'value', value: '22', type: 'input' },
        },
        {
            Person: { id: 'value', value: 'Dennis', type: 'select' },
            Likes: { id: 'value', value: 'Web accessibility', type: 'textarea' },
            Age: { id: 'value', value: '45', type: 'input' },
        },
        {
            Person: { id: 'value', value: 'Sarah', type: 'select' },
            Likes: { id: 'value', value: 'JavaScript frameworks', type: 'textarea' },
            Age: { id: 'value', value: '29', type: 'input' },
        },
        {
            Person: { id: 'value', value: 'Karen', type: 'select' },
            Likes: { id: 'value', value: 'Web performance', type: 'textarea' },
            Age: { id: 'value', value: '36', type: 'input' },
        },
    ]);
}));
