import { LocatorID } from './types';
/**
 * toInteractiveDataFrame requires the page, dataTestId of the table
 * and the headers in the order they appear on the table.
 *
 * The result will be rows of tableCells for each column.
 * The table cell will contain a key:value, which can be used for the
 * PW Locator. Use `enterByKey` to enter values into a table cell.
 *
 * @example
 *
 * | one | two |   |
 * | a   | b   | X |
 * | c   | 1   | Y |
 *
 * headers = ["one", "two", "*three"]
 *
 * toInteractiveDataFrame(page, "table-id", headers)
 *
 * @param page
 * @param dataTestId
 * @param headers
 * @returns
 */
export declare function toInteractiveDataFrame(html: string, headers?: string[]): {
    [key: string]: LocatorID;
}[];
