/**
 * Converts an array of objects into a formatted table using cli-table3.
 * @param toPrettyPrint - An array of objects where each object has string keys
 * and string values, or null if no data is available.
 *
 * @example
 * toPrettyPrint(dataFrame)
 *
 *   ┌────────────────────┬────────────────────┬────────────────────┐
 *   │ Person             │ Likes              │ Age                │
 *   ├────────────────────┼────────────────────┼────────────────────┤
 *   │ Chris              │ HTML tables        │ 22                 │
 *   ├────────────────────┼────────────────────┼────────────────────┤
 *   │ Dennis             │ Web accessibility  │ 45                 │
 *   ├────────────────────┼────────────────────┼────────────────────┤
 *   │ Sarah              │ JavaScript         │ 29                 │
 *   ├────────────────────┼────────────────────┼────────────────────┤
 *   │ Karen              │ Web performance    │ 36                 │
 *   └────────────────────┴────────────────────┴────────────────────┘
 */
export declare function toPrettyPrint(table: {
    [key: string]: string;
}[] | null): void;
